io.etcd.jetcd.auth

## Class Permission

- java.lang.Object
- - io.etcd.jetcd.auth.Permission

    public class Permission
    extends Object

represents a permission over a range of keys.

### Nested Class Summary

Nested Classes
`static class` `Permission.Type`

### Constructor Summary

Constructors
Constructor and Description
`Permission(Permission.Type permType, ByteSequence key, ByteSequence rangeEnd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteSequence` `getKey()`
`Permission.Type` `getPermType()` returns the type of Permission: READ, WRITE, READWRITE, or UNRECOGNIZED.
`ByteSequence` `getRangeEnd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Permission

    public Permission(Permission.Type permType,
                      ByteSequence key,
                      ByteSequence rangeEnd)

### Method Detail

#### getPermType

    public Permission.Type getPermType()

returns the type of Permission: READ, WRITE, READWRITE, or UNRECOGNIZED.

#### getKey

    public ByteSequence getKey()

#### getRangeEnd

    public ByteSequence getRangeEnd()